import '../index.less';
import React, { useContext } from 'react';
import classNames from 'classnames';
import DiffContext from '../Context';
import { RenderLabel, RenderContent } from '../Content';
import { getPathNameData } from '../valueUtil';

var Image = function Image(props) {
  var _useContext = useContext(DiffContext),
      before = _useContext.before,
      after = _useContext.after;

  var label = props.label,
      name = props.name,
      propsClassName = props.className;

  var _getPathNameData = getPathNameData(before, after, name),
      isSame = _getPathNameData.isSame,
      beforeValue = _getPathNameData.beforeValue,
      afterValue = _getPathNameData.afterValue;

  return React.createElement("div", {
    className: classNames('space-divide', propsClassName)
  }, React.createElement(RenderLabel, {
    isSame: isSame,
    label: label
  }), React.createElement(RenderContent, {
    isSame: isSame,
    beforeNode: beforeValue.length ? beforeValue.map(function (li) {
      return React.createElement("a", {
        href: li,
        key: li
      }, li);
    }) : '-',
    afterNode: afterValue.length ? afterValue.map(function (li) {
      return React.createElement("a", {
        href: li,
        key: li
      }, li);
    }) : '-'
  }));
};

export default Image;