"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenderContent = exports.RenderLabel = void 0;

require("antd/lib/typography/style");

var _typography = _interopRequireDefault(require("antd/lib/typography"));

require("./index.less");

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = _typography.default.Text;

var RenderLabel = function RenderLabel(_ref) {
  var label = _ref.label,
      isSame = _ref.isSame;
  return _react.default.createElement(Text, {
    className: (0, _classnames.default)('log-diff-item-label')
  }, _react.default.createElement("span", {
    className: (0, _classnames.default)({
      'label-sign': !isSame
    })
  }, label || '-'));
};

exports.RenderLabel = RenderLabel;

var RenderContent = function RenderContent(_ref2) {
  var beforeNode = _ref2.beforeNode,
      afterNode = _ref2.afterNode,
      isSame = _ref2.isSame;
  return _react.default.createElement(Text, null, _react.default.createElement("span", {
    className: (0, _classnames.default)({
      'pass': !isSame
    }, 'space')
  }, beforeNode), !isSame && _react.default.createElement("span", {
    className: (0, _classnames.default)('now')
  }, afterNode));
};

exports.RenderContent = RenderContent;