"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("../index.less");

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _warning = _interopRequireDefault(require("rc-util/lib/warning"));

var _lodash = _interopRequireDefault(require("lodash.isequal"));

var _Context = _interopRequireDefault(require("../Context"));

var _Content = require("../Content");

var _valueUtil = require("../valueUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var getArrayValue = function getArrayValue(value, name) {
  var result = (0, _valueUtil.getValue)(value, name);

  if (Array.isArray(result)) {
    return result;
  }

  if (typeof result === 'string') {
    return [result];
  }

  return [];
};

var Radio = function Radio(props) {
  var _useContext = (0, _react.useContext)(_Context.default),
      before = _useContext.before,
      after = _useContext.after,
      constants = _useContext.constants;

  var label = props.label,
      name = props.name,
      propsClassName = props.className;
  var hasArray = name.some(function (item) {
    return Array.isArray(item);
  });

  if (hasArray) {
    // 映射类型暂时不支持多维数组
    (0, _warning.default)(false, '`Radio` type do not support Array');
    return null;
  }

  var IteratorValue = function IteratorValue(values) {
    if (values.length === 0) {
      return '-';
    }

    return values.map(function (value) {
      return _react.default.createElement("span", {
        className: (0, _classnames.default)('space'),
        key: "".concat(value)
      }, value && constants[(0, _valueUtil.getArrayLast)(name)] ? constants[(0, _valueUtil.getArrayLast)(name)][value] : '');
    });
  };

  var beforeValue = getArrayValue(before, name);
  var afterValue = getArrayValue(after, name);
  var isSame = (0, _lodash.default)(beforeValue, afterValue);
  return _react.default.createElement("div", {
    className: (0, _classnames.default)('space-divide', propsClassName)
  }, _react.default.createElement(_Content.RenderLabel, {
    isSame: isSame,
    label: label
  }), _react.default.createElement(_Content.RenderContent, {
    isSame: isSame,
    beforeNode: IteratorValue(beforeValue),
    afterNode: IteratorValue(afterValue)
  }));
};

var _default = Radio;
exports.default = _default;