"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getValue = getValue;
exports.getArrayLast = getArrayLast;
exports.getPathNameData = getPathNameData;

var _get = _interopRequireDefault(require("rc-util/lib/utils/get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getValue(store, namePath) {
  var value = (0, _get.default)(store, namePath);
  return value;
}

function getArrayLast(arr) {
  return arr[arr.length - 1];
}

function getPathNameData(before, after, name) {
  var isAllArray = name.every(function (item) {
    return Array.isArray(item);
  });
  var isSame = true;
  var beforeValueResult = [];
  var afterValueResult = [];

  if (isAllArray) {
    name.forEach(function (item) {
      var beforeValue = getValue(before, item);
      var afterValue = getValue(after, item); // eslint-disable-next-line no-unused-expressions

      beforeValue && beforeValueResult.push(beforeValue); // eslint-disable-next-line no-unused-expressions

      afterValue && afterValueResult.push(afterValue);

      if (beforeValue !== afterValue) {
        isSame = false;
      }
    });
  } else {
    var beforeValue = getValue(before, name);
    var afterValue = getValue(after, name);
    isSame = beforeValue === afterValue;
    beforeValueResult = beforeValue ? [beforeValue] : [];
    afterValueResult = afterValue ? [afterValue] : [];
  }

  return {
    isSame: isSame,
    beforeValue: beforeValueResult,
    afterValue: afterValueResult
  };
}